<?php

require_once "../app/model/db.class.php";

if ($_REQUEST['accion']=='listado'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";
   
    while($row = $obj->fetch_assoc($query)) {
  
      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

//-----------------------------------------

if ($_REQUEST['accion']=='listado_asignaturas'){

    $dia=$_REQUEST['dia'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $obj->consulta("DELETE FROM temporal_fallas");
    $obj->consulta("INSERT INTO temporal_fallas ( codigo, asignatura, ih, profesor)
                            SELECT horario.asignatura, horario.descripcion, horario.ih, profesores.nombres
                            FROM (profesores INNER JOIN curso_asignatura_profesor ON profesores.cedula = curso_asignatura_profesor.profesor)
                            INNER JOIN horario ON (curso_asignatura_profesor.asignatura = horario.asignatura) AND (curso_asignatura_profesor.curso = horario.curso) AND (curso_asignatura_profesor.grado = horario.grado)
                            WHERE horario.dia='".$dia."' AND horario.grado='".$grado."' AND horario.curso='".$curso."' ORDER BY horario.orden");

    $obj->consulta("UPDATE temporal_fallas SET activar='1'");


    $query=$obj->consulta("select * FROM temporal_fallas");

    $cadena="<table style='background:#E1DCDC' border='1' cellspacing='0' cellpadding='0' width='100%'>";

    $cadena.="<tr style='font-weight:bold;text-align:center;font-size:13px;color:#A71111'>";
    $cadena.="<td ALIGN='center'><b>ACTIVAR</b></td> <td ALIGN='center'><b>CODIGO</b></td> <td ALIGN='center'><b>ASIGNATURA</b></td> <td ALIGN='center'><b>I_H</b></td> <td ALIGN='center'><b>DOCENTE</b></td>";
    $cadena.="</tr>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td ALIGN='center'><input id='".$row['codigo']."' onclick='activar(".$row['codigo'].")' type='checkbox' checked></td>";
      $cadena.="<td style='font-weight:bold;text-align:center;font-size:11px;'>".$row['codigo']."</td>";
      $cadena.="<td style='font-weight:bold;font-size:11px;'>".$row['asignatura']."</td>";
      $cadena.="<td ALIGN='center'><INPUT  style='font-weight:bold;text-align:center;font-size:16px;' VALUE='".$row['ih']."' SIZE='2' onblur='cambiar_ih(".$row['codigo'].")' TYPE='TEXT' ID='T_".$row['codigo']."'></td>";
      $cadena.="<td style='font-weight:bold;font-size:11px;'>".($row['profesor'])."</td>";
      $cadena.="</tr>";

    }
    
    $cadena.="</table>";

    echo $cadena;

    $obj->disconnect();
}

//-----------------------------------------

if ($_REQUEST['accion']=='mostrar_eliminar_asignaturas'){

    $codigo=$_REQUEST['codigo'];
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    $query=$obj->consulta("SELECT reporte_fallas.codigo, reporte_fallas.fecha, reporte_fallas.asignatura, catalogo.descripcion AS nom_asign, reporte_fallas.periodo, reporte_fallas.cantidad, reporte_fallas.descripcion, reporte_fallas.justificacion, reporte_fallas.orden
                           FROM catalogo INNER JOIN reporte_fallas ON catalogo.codigo = reporte_fallas.asignatura
                           WHERE reporte_fallas.codigo='".$codigo."' AND reporte_fallas.fecha='".$fecha."' AND reporte_fallas.periodo='".$periodo."'");

    $cadena="<table style='background:#E1DCDC' border='1' cellspacing='0' cellpadding='0' width='100%'>";

    $cadena.="<tr style='font-weight:bold;text-align:center;font-size:13px;color:#A71111'>";
    $cadena.="<td ALIGN='center'><b>ELIMINAR</b></td>  <td ALIGN='center'><b>FECHA</b></td> <td ALIGN='center'><b>ASIGNATURA</b></td>  <td ALIGN='center'><b>HORAS</b></td>  <td ALIGN='center'><b>JUSTIFICACI&Oacute;N</b></td>";
    $cadena.="</tr>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1' src='../imagenes/foto1.jpg' onClick='eliminar_registros(\"".$row['orden']."\");' height='18' width='18'   title='Eliminar'></td>";
      $cadena.="<td style='font-weight:bold;text-align:center;font-size:11px;'>".$row['fecha']."</td>";
      $cadena.="<td style='font-weight:bold;font-size:11px;'>".$row['nom_asign']."</td>";
      $cadena.="<td style='font-weight:bold;text-align:center;font-size:11px;'>".$row['cantidad']."</td>";
      $cadena.="<td align='center' style='font-weight:bold;font-size:11px;'>".$row['justificacion']."</td>";
      $cadena.="</tr>";

    }

    $cadena.="</table>";

    echo $cadena;

    $obj->disconnect();
}

//-----------------------------------------

if ($_REQUEST['accion']=='mostrar_justificacion'){

    $codigo=$_REQUEST['codigo'];
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query1=$obj->consulta("SELECT justificacion,descripcion FROM reporte_fallas WHERE codigo='".$codigo."' and fecha='".$fecha."' and periodo='".$periodo."'");
        
    $ex=$obj->numero_de_filas($query1);

    if ($ex>=1){
        $row0 = $obj->fetch_assoc($query1);
        echo $row0['justificacion']."*".$row0['descripcion'];  
    }
    else
        echo "X";

    $obj->disconnect();

}


//-----------------------------------------

if ($_REQUEST['accion']=='actualizar'){

    $codigo=$_REQUEST['codigo'];
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];
    $justificacion=$_REQUEST['justificacion'];
    $observacion=$_REQUEST['observacion'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

     $obj->consulta("UPDATE `reporte_fallas` SET descripcion='".($observacion)."',justificacion='".$justificacion."' WHERE codigo='".$codigo."' and fecha='".$fecha."' and periodo='".$periodo."'");

     echo "REGISTROS ACTUALIZADOS";
       

    $obj->disconnect();

}


//-----------------------------------------

if ($_REQUEST['accion']=='grabar'){

    $codigo=$_REQUEST['codigo'];
    $fecha=$_REQUEST['fecha'];
    $periodo=$_REQUEST['periodo'];
    $justificacion=$_REQUEST['justificacion'];
    $observacion=$_REQUEST['observacion'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from temporal_fallas where activar='1' and ih!='0'");
    $query1=$obj->consulta("select * from temporal_fallas where activar='1' and ih!='0'"); // Error- Para que se ejecute la consulta

    $n=$obj->numero_de_filas($query);

    if ($n>=1){


        while($row0 = $obj->fetch_assoc($query1)) { //--Verificar la existencia de registros -------

        
        $existe=$obj->consulta("select * from reporte_fallas where codigo='".$codigo."' and fecha='".$fecha."' and asignatura='".$row0['codigo']."' and periodo='".$periodo."'");
        $ex=$obj->numero_de_filas($existe);

          if ($ex>=1){
              echo "REGISTROS EXISTENTES";
              exit;
          }

        }


       //--------------------------------------------

       while($row = $obj->fetch_assoc($query)) {
  
        $obj->consulta("INSERT INTO reporte_fallas(codigo, fecha, asignatura, periodo, cantidad, descripcion, justificacion) 
                        VALUES ('".$codigo."','".$fecha."','".$row['codigo']."','".$periodo."',".$row['ih'].",'".($observacion)."','".$justificacion."')");        
       }

       echo "REGISTROS GRABADOS";
       
    }

    $obj->disconnect();

}


//-----------------------------------------

if ($_REQUEST['accion']=='eliminar_registro'){

    $orden=$_REQUEST['orden'];
   
    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("DELETE FROM `reporte_fallas` WHERE orden=".$orden);

    $obj->disconnect();

}

//-----------------------------------------

if ($_REQUEST['accion']=='activar'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE temporal_fallas SET activar='".$estado."' where codigo='".$codigo."'");

    $obj->disconnect();

}

//-----------------------------------------

if ($_REQUEST['accion']=='cambiar'){

    $codigo=$_REQUEST['codigo'];
    $ih=$_REQUEST['ih'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE temporal_fallas SET ih='".$ih."' where codigo='".$codigo."'");

    $obj->disconnect();

}


//-----------------------------------------

if ($_REQUEST['accion']=='listado_periodos'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

if ($_REQUEST['accion']=='listacurso'){

    $id=$_REQUEST['grado'];
    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];
    

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select * from ".$tabla." where grado='".$id."' order by orden");
    $n=$obj->numero_de_filas($query);
    
    if($n==0){
            echo "no";
        }else{

            $query=$obj->consulta("select * from ".$tabla."  where grado='".$id."'  order by orden");
            

            $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

              while ( $tsArray = $obj->fetch_assoc($query) )
                {
                $row[] = $tsArray;
                
                }
                
              for($i=0;$i<count($row);$i++)  
              {
                  $cadena.="<tr>";
                  $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row[$i]['codigo']."\",\"".($row[$i]['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
                  $cadena.="<td>".$row[$i]['codigo']."</td><td>".($row[$i]['descripcion'])."</td>";

                  $obj = new database();
                  $obj->conectar(); $obj->consulta("set names 'utf8'");
                  $query=$obj->consulta("select * from jornadas where codigo='".$row[$i]['jornada']."';");
                  $jor=  $obj->fetch_assoc($query);

                  $cadena.="<td>".($jor['descripcion'])."</td></tr>";
              }
            $cadena.="</table>";
            $obj->disconnect();
            echo $cadena;
        }
}

if ($_REQUEST['accion']=='listado_alumno'){

    $codigo=$_REQUEST['codigo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $query=$obj->consulta("select matriculas.codigo, CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ', s_nombre) as nombres, matriculas.grado, grados.descripcion as nom_grado, matriculas.curso, cursos.descripcion as nom_curso
                           from (grados inner join cursos on grados.codigo = cursos.grado) inner join (alumnos inner join matriculas on alumnos.codigo = matriculas.codigo) on (cursos.codigo = matriculas.curso) and (cursos.grado = matriculas.grado)
                           where matriculas.codigo='".$codigo."'");

    $row = $obj->fetch_assoc($query);

    echo $row['nombres']."*".$row['grado']."*".$row['nom_grado']."*".$row['curso']."*".$row['nom_curso'];


    $obj->disconnect();
}

?>
